org.eclipse.ui.views.tasklist

## Class TaskPropertiesDialog

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.eclipse.jface.dialogs.TrayDialog
      - - org.eclipse.ui.views.markers.internal.DialogMarkerProperties
        - - org.eclipse.ui.views.markers.internal.DialogTaskProperties
          - - org.eclipse.ui.views.tasklist.TaskPropertiesDialog

All Implemented Interfaces:
  IShellProvider

    public class TaskPropertiesDialog
    extends org.eclipse.ui.views.markers.internal.DialogTaskProperties

Shows the properties of a new or existing task, or a problem.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

`Window.IExceptionHandler`

### Field Summary

### Fields inherited from class org.eclipse.ui.views.markers.internal.DialogTaskProperties

`completedCheckbox, priorityCombo`

### Fields inherited from class org.eclipse.jface.dialogs.Dialog

`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

### Fields inherited from class org.eclipse.jface.window.Window

`CANCEL, OK, resizeHasOccurred`

### Constructor Summary

Constructors
Constructor and Description
`TaskPropertiesDialog(Shell parentShell)` Creates the dialog.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected IDialogSettings` `getDialogBoundsSettings()` Gets the dialog settings that should be used for remembering the bounds of of the dialog, according to the dialog bounds strategy.
`Map` `getInitialAttributes()` Returns the initial attributes to use when creating a new task, or `null` if not set.
`IMarker` `getMarker()` Returns the marker being created or modified.
`IResource` `getResource()` Returns the resource to use when creating a new task, or `null` if none has been set.
`void` `setInitialAttributes(Map initialAttributes)` Sets initial attributes to use when creating a new task.
`void` `setMarker(IMarker marker)` Sets the marker to show or modify.
`void` `setResource(IResource resource)` Sets the resource to use when creating a new task.

### Methods inherited from class org.eclipse.ui.views.markers.internal.DialogTaskProperties

`createAttributesArea, getCompleted, getCreateOperationTitle, getMarkerAttributes, getModifyOperationTitle, getPriority, updateDialogForNewMarker, updateDialogFromMarker, updateEnablement`

### Methods inherited from class org.eclipse.ui.views.markers.internal.DialogMarkerProperties

`configureShell, createButtonsForButtonBar, createDialogArea, createSeperator, isDirty, isEditable, isResizable, markDirty, okPressed, setType`

### Methods inherited from class org.eclipse.jface.dialogs.TrayDialog

`closeTray, createButtonBar, createHelpControl, getLayout, getTray, handleShellCloseEvent, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

### Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, buttonPressed, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

### Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TaskPropertiesDialog

    public TaskPropertiesDialog(Shell parentShell)

Creates the dialog. By default this dialog creates a new task. To set the resource and initial attributes for the new task, use `setResource` and `setInitialAttributes`. To show or modify an existing task, use `setMarker`.

Parameters:
  `parentShell` - the parent shell

### Method Detail

#### getDialogBoundsSettings

    protected IDialogSettings getDialogBoundsSettings()

Description copied from class: `Dialog`
Gets the dialog settings that should be used for remembering the bounds of of the dialog, according to the dialog bounds strategy.

Overrides:
  `getDialogBoundsSettings` in class `org.eclipse.ui.views.markers.internal.DialogMarkerProperties`
Returns:
  settings the dialog settings used to store the dialog's location and/or size, or `null` if the dialog's bounds should never be stored.
See Also:
  `Dialog.getDialogBoundsStrategy()`

#### setMarker

    public void setMarker(IMarker marker)

Sets the marker to show or modify.

Overrides:
  `setMarker` in class `org.eclipse.ui.views.markers.internal.DialogMarkerProperties`
Parameters:
  `marker` - the marker, or `null` to create a new marker

#### getMarker

    public IMarker getMarker()

Returns the marker being created or modified. For a new marker, this returns `null` until the dialog returns, but is non-null after.

Overrides:
  `getMarker` in class `org.eclipse.ui.views.markers.internal.DialogMarkerProperties`
Returns:
  the marker

#### setResource

    public void setResource(IResource resource)

Sets the resource to use when creating a new task. If not set, the new task is created on the workspace root.

Overrides:
  `setResource` in class `org.eclipse.ui.views.markers.internal.DialogMarkerProperties`
Parameters:
  `resource` - the resource

#### getResource

    public IResource getResource()

Returns the resource to use when creating a new task, or `null` if none has been set. If not set, the new task is created on the workspace root.

Overrides:
  `getResource` in class `org.eclipse.ui.views.markers.internal.DialogMarkerProperties`
Returns:
  the resource

#### setInitialAttributes

    public void setInitialAttributes(Map initialAttributes)

Sets initial attributes to use when creating a new task. If not set, the new task is created with default attributes.

Overrides:
  `setInitialAttributes` in class `org.eclipse.ui.views.markers.internal.DialogMarkerProperties`
Parameters:
  `initialAttributes` - the initial attributes

#### getInitialAttributes

    public Map getInitialAttributes()

Returns the initial attributes to use when creating a new task, or `null` if not set. If not set, the new task is created with default attributes.

Overrides:
  `getInitialAttributes` in class `org.eclipse.ui.views.markers.internal.DialogMarkerProperties`
Returns:
  the initial attributes